<?php
/**
 * š꡼
 */

if (!defined('XOOPS_ROOT_PATH')) exit();

require_once XOOPS_MODULE_PATH . "/" . _BBSB_DIRNAME . "/class/AbstractEditAction.class.php";
require_once XOOPS_MODULE_PATH . "/" . _BBSB_DIRNAME . "/class/DbLeague.class.php";

/***
 * @internal
 * @public
 */
class BBSB_ViewLeaguelistAction extends BBSB_AbstractEditAction
{
	/**
	 * 쥳ɺå
	 * @var unknown_type
	 */
	var $mDelMsg			= null;

	/**
	 * ꡼ǡ
	 * @var unknown_type
	 */
	var $mLgList			= array();

	/**
	 * Ը¤Ĥɤ
	 * @var unknown_type
	 */
	var $mAdminMode			= null;

	/**
	 * ¹ν
	 */
	function prepare(&$controller, &$xoopsUser, $moduleConfig)
	{
		parent::prepare(&$controller, &$xoopsUser, $moduleConfig);
		// ¤Τ桼ʳɽԲ
		if( is_object($controller->mRoot->mContext->mXoopsUser) ){
			$this->mAdminMode = $controller->mRoot->mContext->mXoopsUser->isAdmin($controller->mRoot->mContext->mModule->mXoopsModule->get('mid'));
		}
		if( !$this->mAdminMode ){
			$controller->executeForward(XOOPS_URL . '/');
		}

		// Хб
		if (class_exists('Wizin_User')) {	//Wizmobile
			$mobile_user = & Wizin_User::getSingleton();
			$this->mMobile = $mobile_user->bIsMobile;
		}
	}

	function getDefaultView(&$controller, &$xoopsUser)
	{
		// ⡼ɻ
		if( xoops_getrequest('del') ){
			$this->mDelMsg = _MD_BBSB_INFO_DELOK;	// MSG
		}

		$dbLg = new BBSB_DbLeague();
		// Ƚ
		$sortarray= array( '1'=>'LeagueID', '2'=>'LeagueName' );
		if( xoops_getrequest('sort') ){
			$sort = xoops_getrequest('sort');
			if( $sort >= 0 ){
				$dir = 'ASC';
			} else {
				$dir = 'DESC';
				$sort = -$sort;
			}
			$dbLg->setOrderBy( $sortarray[$sort], $dir);
		} else {
			// ǥեɽϡ֥꡼̾
			$dbLg->setOrderBy( 'LeagueName', 'ASC');
		}
		// ȯ
		$this->mLgList = $dbLg->getListbyCond('bb_league');
		if( $this->mLgList === false ){
			return BBSB_FRAME_VIEW_ERROR;
		}

		return BBSB_FRAME_VIEW_INDEX;
	}

	/**
	 * ¹
	 * @param $controller
	 * @param $xoopsUser
	 * @return unknown_type
	 */
	function execute( &$controller, &$xoopsUser )
	{
		// ܥ󲡲delɬ
		if( !xoops_getrequest('del') ){
			$controller->executeForward(XOOPS_URL . '/');
		}
		$lid = xoops_getrequest('del');

		// delϺ⡼()
		$adminmode = null;
		if( is_object($controller->mRoot->mContext->mXoopsUser) ){
			$adminmode = $controller->mRoot->mContext->mXoopsUser->isAdmin($controller->mRoot->mContext->mModule->mXoopsModule->get('mid'));
		}
		if( !$adminmode ){
			return BBSB_FRAME_VIEW_ERROR;
		}

		// ꡼ơ֥
		$dbLg = new BBSB_DbLeague();
		$dbLg->setData( 'LeagueID',	$lid );
		$ret = $dbLg->delete('bb_league');

		return BBSB_FRAME_VIEW_SUCCESS;
	}

	function executeViewIndex(&$controller, &$xoopsUser, &$render)
	{
		if( $this->mMobile ){
			$render->setTemplateName("bbsb_viewleaguelistM.html");
		} else {
			$render->setTemplateName("bbsb_viewleaguelist.html");
			$render->setAttribute('xoops_module_header', _BBSB_OP_CSSFILE . _BBSB_OP_BBSB_COMMON_JS);
		}

		$render->setAttribute('delmsg',			$this->mDelMsg);		// å
		$render->setAttribute("lglist",			$this->mLgList);		// ꡼
	}

	/**
	 * ΤȤ꡼̤(̺ɽ)
	 */
	function executeViewSuccess(&$controller, &$xoopsUser, &$render)
	{
		$del	= xoops_getrequest('del');
		if( $del ){
			$del = "&del=" . $del;
		}
		$controller->executeForward("./index.php?action=ViewLeaguelist" . $del );
	}

	/**
	 * 顼ν
	 */
	function executeViewError(&$controller, &$xoopsUser, &$render)
	{
		$controller->executeRedirect("index.php", 1, _MD_BBSB_ERROR_DATABASEUPDATE);
	}

}
?>