<?php
/**
 * ưͽзϿΥ᡼
 */

if (!defined('XOOPS_ROOT_PATH')) exit();

/***
 * @internal
 * This class commands a builder to build mail. It's a kind of builder pattern,
 * and made for separating the building logic and the business logic.
 */
class BBSB_ScheduleEntryNoticeMailDirector
{
	/***
	 * @var BBSB_RegistScheduleEntryNoticeMailBuilder
	 */
	var $mBuilder;

	/***
	 * @var XoopsGuestUser
	 */
	var $mUser;

	var $mXoopsConfig;

	var $mUserConfig;

	/** 󥹥ȥ饯
	 *
	 * @param $builder
	 * @param $user
	 * @param $xoopsConfig
	 * @param $userConfig
	 * @return unknown_type
	 */
	function BBSB_ScheduleEntryNoticeMailDirector(&$builder, &$user, $xoopsConfig, $userConfig)
	{
		$this->mBuilder =& $builder;
		$this->mUser =& $user;
		$this->mXoopsConfig =$xoopsConfig;
		$this->mUserConfig = $userConfig;
	}

	/***
	 * With setting variables to a builder, triggers building the mail of a
	 * builder.
	 */
	function contruct( &$schelist, &$formproperties, &$jsary )
	{
		$this->mBuilder->setTemplate();
		$this->mBuilder->setToUsers( $this->mUser );
		$this->mBuilder->setFromEmail( $this->mXoopsConfig );
		$this->mBuilder->setSubject( $schelist, $formproperties );
		$this->mBuilder->setBody( $schelist, $formproperties, $jsary, $this->mXoopsConfig);
	}
}

/***
 * @internal
 * This class is a builder for BBSB_ScheduleEntryNoticeMailDirector and the base class,
 * and the base class for other builders. Use schedulememberupdate.tpl as the template.
 */
class BBSB_RegistScheduleEntryNoticeMailBuilder
{
	/**
	 *
	 * @var XoopsMailerLocal
	 */
	var $mMailer;

	/**
	 * 󥹥ȥ饯
	 * @return unknown_type
	 */
	function BBSB_RegistScheduleEntryNoticeMailBuilder()
	{
		$this->mMailer =& getMailer();
		$this->mMailer->useMail();
	}

	/***
	 * Set the template itself.
	 */
	function setTemplate()
	{
		$this->mMailer->setTemplateDir( _BBSB_MODULE_LANGUAGE_PATH );
		$this->mMailer->setTemplate('schedulememberupdate.tpl');
	}

	/**
	 * 桼ꡧXOOPS桼Ǥʤȥ桼Ǥ᡼褦˽
	 * @param $user
	 * @param $userConfig
	 * @return unknown_type
	 */
	function setToUsers( $user )
	{
		if ( !is_array($user) ) {
			array_push($this->mMailer->toUsers, $user);
		} else {
			foreach ( $user as $u) {
				$this->setToUsers($u);
			}
		}
	}

	function setFromEmail($xoopsConfig)
	{
		$this->mMailer->setFromEmail($xoopsConfig['adminmail']);
		$this->mMailer->setFromName($xoopsConfig['sitename']);
	}

	/**
	 * ֥
	 * @param $sl 塼ܺ
	 * @param $fp եץѥƥ
	 * @return unknown_type
	 */
	function setSubject( &$sl, &$fp )
	{
		$this->mMailer->setSubject( @sprintf(_MD_BBSB_LANG_SCHEENTRYSUBJECT, $sl['EventDate'], $sl['EventKind'], $sl['EventName']) );
	}

	function setBody( &$sl, &$fp, &$jsary, $xoopsConfig )
	{
		$this->mMailer->assign('OWNTEAMNAME',	_BBSB_OP_OWNTEAMNAME);		// ̾
		$this->mMailer->assign('SUBMITTER',		$sl['Submitter']);			// 塼
		if( $fp['eid']->mValue ){
			$updatestr = _MD_BBSB_LANG_UPDATE;	// ϻ
		} else {
			$updatestr = "";					// ϻ
		}
		$this->mMailer->assign('UPDATE',		$updatestr);				// ʸ
		$this->mMailer->assign('EVENTDATE',		$sl['EventDate']);			// 
		$this->mMailer->assign('EVENTKIND',		$sl['EventKind']);			// ٥ȼ
		$this->mMailer->assign('EVENTNAME',		$sl['EventName']);			// ٥̾
		$eventurl = _BBSB_MODULE_URL . "index.php?action=ViewScheduledetail&sid=" . $sl['ScheduleID'];
		$this->mMailer->assign('EVENTURL',		$eventurl);					// ٥URL
		$this->mMailer->assign('ENTRANT_NAME',	$fp[name]->mValue);			// Ƽ
		$joinstate	= "";
		if( $fp['oldjoinstateid']->mValue ){
			$oldjs		= $fp['oldjoinstateid']->mValue;
			$joinstate	= $jsary[$oldjs]. " -> ";
		}
		$js			= $fp['joinstateid']->mValue;
		$joinstate		.= $jsary[$js];
		$this->mMailer->assign('JOINSTATE',		$joinstate);						// з
		$this->mMailer->assign('COMMENTS',		$fp['comments']->mValue);			// 
		$this->mMailer->assign('SUBMIT_DATE',	date("Y/n/j(D) H:i"));				// 
		$this->mMailer->assign('ENTRANT_IP',	xoops_getenv('REMOTE_ADDR'));		// ƼIP
		if( xoops_getenv('REMOTE_HOST') ){
			$rhost = xoops_getenv('REMOTE_HOST');
		} else {
			$rhost = gethostbyaddr( xoops_getenv('REMOTE_ADDR') );
		}
		$this->mMailer->assign('ENTRANT_HOST',	$rhost);							// Ƽԥۥ
		$this->mMailer->assign('ENTRANT_AGENT',	xoops_getenv('HTTP_USER_AGENT'));	// ֥饦
		$this->mMailer->assign('ADMINEMAIL',	$xoopsConfig['adminmail']);			// Email
		$this->mMailer->assign('SITENAME',		$xoopsConfig['sitename']);			// ̾
		$this->mMailer->assign('SITEURL',		XOOPS_URL . '/');					// URL
		$this->mMailer->assign('BBSB_VERSION',	_BBSB_VERSION);
	}

	function &getResult()
	{
		return $this->mMailer;
	}
}
?>