#
# Table structure for webscorerevolution tables
#


CREATE TABLE {prefix}_bb_game (
  GameID SMALLINT UNSIGNED NOT NULL AUTO_INCREMENT,
  Nendo SMALLINT UNSIGNED NULL,
  EventDate DATETIME NULL,
  GameSeq TINYINT UNSIGNED NULL,
  LeagueID SMALLINT UNSIGNED NULL,
  TournamentID SMALLINT UNSIGNED NULL,
  GameOrderID SMALLINT UNSIGNED NULL,
  GroundID SMALLINT UNSIGNED NULL,
  Result TINYINT UNSIGNED NULL,
  FirstTeamID SMALLINT UNSIGNED NULL,
  LastTeamID SMALLINT UNSIGNED NULL,
  FirstBattery VARCHAR(512) NULL,
  LastBattery VARCHAR(512) NULL,
  GameComment TEXT NULL,
  Inning01top TINYINT UNSIGNED NULL,
  Inning01bottom TINYINT UNSIGNED NULL,
  Inning02top TINYINT UNSIGNED NULL,
  Inning02bottom TINYINT UNSIGNED NULL,
  Inning03top TINYINT UNSIGNED NULL,
  Inning03bottom TINYINT UNSIGNED NULL,
  Inning04top TINYINT UNSIGNED NULL,
  Inning04bottom TINYINT UNSIGNED NULL,
  Inning05top TINYINT UNSIGNED NULL,
  Inning05bottom TINYINT UNSIGNED NULL,
  Inning06top TINYINT UNSIGNED NULL,
  Inning06bottom TINYINT UNSIGNED NULL,
  Inning07top TINYINT UNSIGNED NULL,
  Inning07bottom TINYINT UNSIGNED NULL,
  Inning08top TINYINT UNSIGNED NULL,
  Inning08bottom TINYINT UNSIGNED NULL,
  Inning09top TINYINT UNSIGNED NULL,
  Inning09bottom TINYINT UNSIGNED NULL,
  Inning10top TINYINT UNSIGNED NULL,
  Inning10bottom TINYINT UNSIGNED NULL,
  Inning11top TINYINT UNSIGNED NULL,
  Inning11bottom TINYINT UNSIGNED NULL,
  Inning12top TINYINT UNSIGNED NULL,
  Inning12bottom TINYINT UNSIGNED NULL,
  Inning13top TINYINT UNSIGNED NULL,
  Inning13bottom TINYINT UNSIGNED NULL,
  Inning14top TINYINT UNSIGNED NULL,
  Inning14bottom TINYINT UNSIGNED NULL,
  Inning15top TINYINT UNSIGNED NULL,
  Inning15bottom TINYINT UNSIGNED NULL,
  Inning16top TINYINT UNSIGNED NULL,
  Inning16bottom TINYINT UNSIGNED NULL,
  Inning17top TINYINT UNSIGNED NULL,
  Inning17bottom TINYINT UNSIGNED NULL,
  Inning18top TINYINT UNSIGNED NULL,
  Inning18bottom TINYINT UNSIGNED NULL,
  Inning19top TINYINT UNSIGNED NULL,
  Inning19bottom TINYINT UNSIGNED NULL,
  Inning20top TINYINT UNSIGNED NULL,
  Inning20bottom TINYINT UNSIGNED NULL,
  Inning21top TINYINT UNSIGNED NULL,
  Inning21bottom TINYINT UNSIGNED NULL,
  Inning22top TINYINT UNSIGNED NULL,
  Inning22bottom TINYINT UNSIGNED NULL,
  Inning23top TINYINT UNSIGNED NULL,
  Inning23bottom TINYINT UNSIGNED NULL,
  Inning24top TINYINT UNSIGNED NULL,
  Inning24bottom TINYINT UNSIGNED NULL,
  Inning25top TINYINT UNSIGNED NULL,
  Inning25bottom TINYINT UNSIGNED NULL,
  ResultTop TINYINT UNSIGNED NULL,
  ResultBottom TINYINT UNSIGNED NULL,
  UpdateTime TIMESTAMP NULL,
  SendedLeagueID1 VARCHAR(10) NULL,
  L1UpdTime TIMESTAMP NULL,
  SendedLeagueID2 VARCHAR(10) NULL,
  L2UpdTime TIMESTAMP NULL,
  SendedLeagueID3 VARCHAR(10) NULL,
  L3UpdTime TIMESTAMP NULL,
  PRIMARY KEY(GameID)
);

CREATE TABLE {prefix}_bb_gamebatter (
  GameID SMALLINT UNSIGNED NOT NULL,
  Innings SMALLINT UNSIGNED NOT NULL AUTO_INCREMENT,
  BatterNo SMALLINT UNSIGNED NOT NULL,
  UserID SMALLINT UNSIGNED NOT NULL,
  ScoreMarkID CHAR(16) NOT NULL,
  Direction TINYINT UNSIGNED NULL,
  RBI TINYINT UNSIGNED NULL,
  PRIMARY KEY(GameID, Innings, BatterNo)
);

CREATE TABLE {prefix}_bb_gameentrant (
  GameID SMALLINT UNSIGNED NOT NULL,
  UserID SMALLINT UNSIGNED NOT NULL,
  PlayOrder TINYINT UNSIGNED NULL,
  ChangeCnt TINYINT UNSIGNED NOT NULL,
  Position1 TINYINT UNSIGNED NULL,
  Position2 TINYINT UNSIGNED NULL,
  Position3 TINYINT UNSIGNED NULL,
  Position4 TINYINT UNSIGNED NULL,
  Position5 TINYINT UNSIGNED NULL,
  StolenBaseSuc SMALLINT UNSIGNED NULL,
  StolenBaseFail SMALLINT UNSIGNED NULL,
  RunsCnt SMALLINT UNSIGNED NULL,
  ErrorsCnt SMALLINT UNSIGNED NULL,
  RBI SMALLINT UNSIGNED NULL,
  BP SMALLINT UNSIGNED NULL,
  WinningRun BOOL NULL,
  PRIMARY KEY(GameID, UserID)
);

CREATE TABLE {prefix}_bb_gameorder (
  GameOrderID SMALLINT UNSIGNED NOT NULL AUTO_INCREMENT,
  GameOrderName CHAR(128) NOT NULL,
  PRIMARY KEY(GameOrderID)
);

CREATE TABLE {prefix}_bb_gamepitcher (
  GameID SMALLINT UNSIGNED NOT NULL,
  ChangeCnt TINYINT UNSIGNED NOT NULL,
  UserID SMALLINT UNSIGNED NOT NULL,
  Innings SMALLINT UNSIGNED NULL,
  OutCnt SMALLINT UNSIGNED NULL,
  EarnedRuns SMALLINT UNSIGNED NULL,
  Runs SMALLINT UNSIGNED NULL,
  KCnt SMALLINT UNSIGNED NULL,
  BCnt SMALLINT UNSIGNED NULL,
  DBCnt SMALLINT UNSIGNED NULL,
  HCnt SMALLINT UNSIGNED NULL,
  HRCnt SMALLINT UNSIGNED NULL,
  NumOfPitch SMALLINT UNSIGNED NULL,
  WildPitch SMALLINT UNSIGNED NULL,
  Win BOOL NULL,
  Lose BOOL NULL,
  Save BOOL NULL,
  Hold BOOL NULL,
  PRIMARY KEY(GameID, ChangeCnt)
);

CREATE TABLE {prefix}_bb_ground (
  GroundID SMALLINT UNSIGNED NOT NULL AUTO_INCREMENT,
  GroundName VARCHAR(128) NOT NULL,
  Url VARCHAR(256) NULL,
  PhoneNo VARCHAR(32) NULL,
  ZipCode VARCHAR(16) NULL,
  Address VARCHAR(1024) NULL,
  Comments TEXT NULL,
  CodeField TEXT NULL,
  PRIMARY KEY(GroundID)
);

CREATE TABLE {prefix}_bb_joinstate (
  ScheduleID SMALLINT UNSIGNED NOT NULL,
  JoinStateID SMALLINT UNSIGNED NOT NULL AUTO_INCREMENT,
  JoinStateName VARCHAR(256) NOT NULL,
  Section TINYINT UNSIGNED NULL,
  PRIMARY KEY(ScheduleID, JoinStateID)
);

CREATE TABLE {prefix}_bb_league (
  LeagueID SMALLINT UNSIGNED NOT NULL AUTO_INCREMENT,
  LeagueName VARCHAR(128) NOT NULL,
  Url VARCHAR(256) NULL,
  SyncUrl VARCHAR(256) NULL,
  PRIMARY KEY(LeagueID)
);

CREATE TABLE {prefix}_bb_member (
  UserID SMALLINT UNSIGNED NOT NULL AUTO_INCREMENT,
  UniformNo SMALLINT UNSIGNED NULL,
  FullName VARCHAR(128) NOT NULL,
  NickName VARCHAR(128) NULL,
  Post VARCHAR(128) NULL,
  Position1 TINYINT UNSIGNED NULL,
  Position2 TINYINT UNSIGNED NULL,
  Position3 TINYINT UNSIGNED NULL,
  Position4 TINYINT UNSIGNED NULL,
  Position5 TINYINT UNSIGNED NULL,
  Position6 TINYINT UNSIGNED NULL,
  Position7 TINYINT UNSIGNED NULL,
  Position8 TINYINT UNSIGNED NULL,
  Position9 TINYINT UNSIGNED NULL,
  PandB VARCHAR(128) NULL,
  BirthYear SMALLINT UNSIGNED NULL,
  BirthMonth SMALLINT UNSIGNED NULL,
  BirthDay SMALLINT UNSIGNED NULL,
  PhoneNo VARCHAR(32) NULL,
  MPhoneNo VARCHAR(32) NULL,
  MEmail VARCHAR(256) NULL,
  PCEmail VARCHAR(256) NULL,
  ZipCode VARCHAR(16) NULL,
  Address VARCHAR(1024) NULL,
  ScoreEntry BOOL NULL,
  ProfileEntry BOOL NULL,
  Profile TEXT NULL,
  MailReceive BOOL NULL,
  ShowOrder TINYINT UNSIGNED NULL,
  ImgFile VARCHAR(256) NULL,
  PRIMARY KEY(UserID)
);

CREATE TABLE {prefix}_bb_opponent (
  TeamID SMALLINT UNSIGNED NOT NULL AUTO_INCREMENT,
  TeamName VARCHAR(256) NOT NULL,
  BasePlace VARCHAR(256) NULL,
  Url VARCHAR(256) NULL,
  FullName VARCHAR(128) NULL,
  PhoneNo VARCHAR(32) NULL,
  MPhoneNo VARCHAR(32) NULL,
  MEmail VARCHAR(256) NULL,
  PCEmail VARCHAR(256) NULL,
  Comments TEXT NULL,
  LastGameDate DATETIME NULL,
  PRIMARY KEY(TeamID)
);

CREATE TABLE {prefix}_bb_schedule (
  ScheduleID SMALLINT UNSIGNED NOT NULL AUTO_INCREMENT,
  EventKind TINYINT UNSIGNED NULL DEFAULT 1,
  EventName VARCHAR(256) NULL,
  EventYear SMALLINT UNSIGNED NULL,
  EventMonth TINYINT UNSIGNED NULL,
  EventDay TINYINT UNSIGNED NULL,
  EventHour TINYINT UNSIGNED NULL,
  EventMinute TINYINT UNSIGNED NULL,
  Submitter VARCHAR(128) NULL,
  SubmitterEmail VARCHAR(256) NULL,
  DispEmailFlg BOOL NULL,
  NoticeEmailFlg BOOL NULL,
  GroundID SMALLINT UNSIGNED NULL,
  MapEmbedFlg BOOL NULL,
  TournamentID SMALLINT UNSIGNED NOT NULL,
  Opponent1 SMALLINT UNSIGNED NULL,
  Opponent2 SMALLINT UNSIGNED NULL,
  Opponent3 SMALLINT UNSIGNED NULL,
  GuideComment TEXT NULL,
  UpdateTime TIMESTAMP NULL,
  PRIMARY KEY(ScheduleID)
);

CREATE TABLE {prefix}_bb_schedulemember (
  ScheduleID SMALLINT UNSIGNED NOT NULL,
  EntrantID SMALLINT UNSIGNED NOT NULL AUTO_INCREMENT,
  Name VARCHAR(128) NOT NULL,
  JoinStateID SMALLINT UNSIGNED NOT NULL,
  Comments VARCHAR(1024) NULL,
  UpdateTime TIMESTAMP NULL,
  Pass VARCHAR(32) NULL,
  Email VARCHAR(256) NULL,
  NotifyScheUpdate BOOL NULL,
  PRIMARY KEY(ScheduleID, EntrantID)
);

CREATE TABLE {prefix}_bb_scoremark (
  ScoreMarkID CHAR(16) NOT NULL,
  ScoreMarkName CHAR(32) NOT NULL,
  ScoreMarkNameM CHAR(32) NULL,
  PRIMARY KEY(ScoreMarkID)
);

CREATE TABLE {prefix}_bb_tournament (
  TournamentID SMALLINT UNSIGNED NOT NULL AUTO_INCREMENT,
  TournamentName VARCHAR(128) NOT NULL,
  PRIMARY KEY(TournamentID)
);


